cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-orders?page=1&size=100&sortBy=createdAt&sortDirection=DESC' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": null,
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}
]{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Inventory Orders
List inventory orders
Returns a paginated list of inventory orders (warehouse stock replenishment requests) for the caller’s organization. Supports filtering by status and date range, and sorting by creation date. Each result includes the ordered items and their shipment details.
GET
https://apipub.firstbasehq.com
/
api
/
v1
/
inventory-orders
cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-orders?page=1&size=100&sortBy=createdAt&sortDirection=DESC' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": null,
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}
]{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Query Parameters
Response
Paginated list of inventory orders